Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Interface ClientManager

All Known Implementing Classes:
  ClientManagerImpl

public interface ClientManager

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Method Summary
`ClientBinding[]` | `create_bindings(Object obj, IOR ior)` Create bindings for a given IOR.
`ServerManager` | `getServerManager()` Get a reference to the server manager.
`ORB` | `orb()` Return an orb reference.
`boolean` | `register_channel(ClientChannel channel)` Register a channel to join the work queue.
`void` | `register_protocol(int profile_tag, ClientProtocol protocol)` Register a client protocol.
`void` | `shutdown(boolean wait_for_complete, boolean kill_requests)` Shutdown the client side of the orb.
`void` | `unregister_channel(ClientChannel channel)` Called when a channel exits the CONNECTED state.

Method Detail

### orb

    public ORB orb()

  Return an orb reference.

### getServerManager

    public ServerManager getServerManager()

  Get a reference to the server manager. This is used to find the adapter for local requests.
  Returns:
    the server manager, or null if this is a client-only orb.

### create_bindings

    public ClientBinding[] create_bindings(Object obj,
                                           IOR ior)

  Create bindings for a given IOR.
  Parameters:
    `obj` - target object.
    `ior` - IOR of target.
  Returns:
    array of client bindings.
  Throws:
    `INV_OBJREF` - the object reference is invalid.

### register_protocol

    public void register_protocol(int profile_tag,
                                  ClientProtocol protocol)

  Register a client protocol.

### register_channel

    public boolean register_channel(ClientChannel channel)

  Register a channel to join the work queue. This is called when the channel enters the CONNECTED state.

### unregister_channel

    public void unregister_channel(ClientChannel channel)

  Called when a channel exits the CONNECTED state. Returns once all channel threads have completed their work cycles.

### shutdown

    public void shutdown(boolean wait_for_complete,
                         boolean kill_requests)

  Shutdown the client side of the orb.
  Parameters:
    `wait_for_complete` - true if the operation should not return until the client side is shut down.
    `kill_requests` - true if requests which are currently being processed should be killed.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD